Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/infotrac.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/infotrac.F90	(revision 5095)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/infotrac.F90	(revision 5098)
@@ -282,60 +282,60 @@
 
 #endif
-!==============================================================================================================================
-! 2) Calculate nqtot, number of tracers needed (greater if advection schemes 20 or 30 have been chosen).
-!==============================================================================================================================
-   DO iq = 1, nqtrue
-      IF( hadv(iq)<20 .OR. (ANY(hadv(iq)==[20,30]) .AND. hadv(iq)==vadv(iq)) ) CYCLE
-      WRITE(msg1,'("The choice hadv=",i0,", vadv=",i0,a)')hadv(iq),vadv(iq),' for "'//TRIM(tracers(iq)%name)//'" is not available'
+    !==============================================================================================================================
+    ! 2) Calculate nqtot, number of tracers needed (greater if advection schemes 20 or 30 have been chosen).
+    !==============================================================================================================================
+    DO iq = 1, nqtrue
+      IF(hadv(iq)<20 .OR. (ANY(hadv(iq)==[20, 30]) .AND. hadv(iq)==vadv(iq))) CYCLE
+      WRITE(msg1, '("The choice hadv=",i0,", vadv=",i0,a)')hadv(iq), vadv(iq), ' for "' // TRIM(tracers(iq)%name) // '" is not available'
       CALL abort_gcm(modname, TRIM(msg1), 1)
-   END DO
-   nqtot =    COUNT( hadv< 20 .AND. vadv< 20 ) &                     !--- No additional tracer
-         +  4*COUNT( hadv==20 .AND. vadv==20 ) &                     !--- 3  additional tracers
-         + 10*COUNT( hadv==30 .AND. vadv==30 )                       !--- 9  additional tracers
-
-   !--- More tracers due to the choice of advection scheme => assign total number of tracers
-   IF( nqtot /= nqtrue ) THEN
+    END DO
+    nqtot = COUNT(hadv< 20 .AND. vadv< 20) &                     !--- No additional tracer
+            + 4 * COUNT(hadv==20 .AND. vadv==20) &                     !--- 3  additional tracers
+            + 10 * COUNT(hadv==30 .AND. vadv==30)                       !--- 9  additional tracers
+
+    !--- More tracers due to the choice of advection scheme => assign total number of tracers
+    IF(nqtot /= nqtrue) THEN
       CALL msg('The choice of advection scheme for one or more tracers makes it necessary to add tracers')
-      CALL msg('The number of true tracers is '//TRIM(int2str(nqtrue)))
-      CALL msg('The total number of tracers needed is '//TRIM(int2str(nqtot)))
-   END IF
-
-!==============================================================================================================================
-! 3) Determine the advection scheme choice for water and tracers "iadv" and the fields long name, isAdvected.
-!     iadv = 1    "LMDZ-specific humidity transport" (for H2O vapour)          LMV
-!     iadv = 2    backward                           (for H2O liquid)          BAK
-!     iadv = 14   Van-Leer + specific humidity, modified by Francis Codron     VLH
-!     iadv = 10   Van-Leer (chosen for vapour and liquid water)                VL1
-!     iadv = 11   Van-Leer for hadv and PPM version (Monotonic) for vadv       VLP
-!     iadv = 12   Frederic Hourdin I                                           FH1
-!     iadv = 13   Frederic Hourdin II                                          FH2
-!     iadv = 16   Monotonic         PPM (Collela & Woodward 1984)              PPM
-!     iadv = 17   Semi-monotonic    PPM (overshoots allowed)                   PPS
-!     iadv = 18   Definite positive PPM (overshoots and undershoots allowed)   PPP
-!     iadv = 20   Slopes                                                       SLP
-!     iadv = 30   Prather                                                      PRA
-!
-!        In array q(ij,l,iq) : iq = 1/2[/3]    for vapour/liquid[/ice] water
-!        And optionaly:        iq = 3[4],nqtot for other tracers
-!==============================================================================================================================
-   ALLOCATE(ttr(nqtot))
-   jq = nqtrue+1; tracers(:)%iadv = -1
-   DO iq = 1, nqtrue
+      CALL msg('The number of true tracers is ' // TRIM(int2str(nqtrue)))
+      CALL msg('The total number of tracers needed is ' // TRIM(int2str(nqtot)))
+    END IF
+
+    !==============================================================================================================================
+    ! 3) Determine the advection scheme choice for water and tracers "iadv" and the fields long name, isAdvected.
+    !     iadv = 1    "LMDZ-specific humidity transport" (for H2O vapour)          LMV
+    !     iadv = 2    backward                           (for H2O liquid)          BAK
+    !     iadv = 14   Van-Leer + specific humidity, modified by Francis Codron     VLH
+    !     iadv = 10   Van-Leer (chosen for vapour and liquid water)                VL1
+    !     iadv = 11   Van-Leer for hadv and PPM version (Monotonic) for vadv       VLP
+    !     iadv = 12   Frederic Hourdin I                                           FH1
+    !     iadv = 13   Frederic Hourdin II                                          FH2
+    !     iadv = 16   Monotonic         PPM (Collela & Woodward 1984)              PPM
+    !     iadv = 17   Semi-monotonic    PPM (overshoots allowed)                   PPS
+    !     iadv = 18   Definite positive PPM (overshoots and undershoots allowed)   PPP
+    !     iadv = 20   Slopes                                                       SLP
+    !     iadv = 30   Prather                                                      PRA
+    !
+    !        In array q(ij,l,iq) : iq = 1/2[/3]    for vapour/liquid[/ice] water
+    !        And optionaly:        iq = 3[4],nqtot for other tracers
+    !==============================================================================================================================
+    ALLOCATE(ttr(nqtot))
+    jq = nqtrue + 1; tracers(:)%iadv = -1
+    DO iq = 1, nqtrue
       t1 => tracers(iq)
 
       !--- VERIFY THE CHOICE OF ADVECTION SCHEME
       iad = -1
-      IF(hadv(iq)     ==    vadv(iq)    ) iad = hadv(iq)
+      IF(hadv(iq)     ==    vadv(iq)) iad = hadv(iq)
       IF(hadv(iq)==10 .AND. vadv(iq)==16) iad = 11
-      WRITE(msg1,'("Bad choice of advection scheme for ",a,": hadv = ",i0,", vadv = ",i0)')TRIM(t1%name), hadv(iq), vadv(iq)
+      WRITE(msg1, '("Bad choice of advection scheme for ",a,": hadv = ",i0,", vadv = ",i0)')TRIM(t1%name), hadv(iq), vadv(iq)
       IF(iad == -1) CALL abort_gcm(modname, msg1, 1)
 
       !--- SET FIELDS %longName, %iadv, %isAdvected, %isInPhysics
-      t1%longName   = t1%name; IF(iad > 0) t1%longName=TRIM(t1%name)//descrq(iad)
-      t1%iadv       = iad
+      t1%longName = t1%name; IF(iad > 0) t1%longName = TRIM(t1%name) // descrq(iad)
+      t1%iadv = iad
       t1%isAdvected = iad >= 0
-      t1%isInPhysics= delPhase(t1%gen0Name) /= 'H2O' &
-                          .OR. t1%component /= 'lmdz' !=== OTHER EXCEPTIONS TO BE ADDED: CO2i, SURSATURATED WATER CLOUD...
-      ttr(iq)       = t1
+      t1%isInPhysics = delPhase(t1%gen0Name) /= 'H2O' &
+              .OR. t1%component /= 'lmdz' !=== OTHER EXCEPTIONS TO BE ADDED: CO2i, SURSATURATED WATER CLOUD...
+      ttr(iq) = t1
 
       !--- DEFINE THE HIGHER ORDER TRACERS, IF ANY
@@ -344,85 +344,85 @@
       IF(iad == 30) nm = 9                                           !--- 3rd order scheme
       IF(nm == 0) CYCLE                                              !--- No higher moments
-      ttr(jq+1:jq+nm)             = t1
-      ttr(jq+1:jq+nm)%name        = [ (TRIM(t1%name)    //'-'//TRIM(suff(im)), im=1, nm) ]
-      ttr(jq+1:jq+nm)%parent      = [ (TRIM(t1%parent)  //'-'//TRIM(suff(im)), im=1, nm) ]
-      ttr(jq+1:jq+nm)%longName    = [ (TRIM(t1%longName)//'-'//TRIM(suff(im)), im=1, nm) ]
-      ttr(jq+1:jq+nm)%iadv        = [ (-iad,    im=1, nm) ]
-      ttr(jq+1:jq+nm)%isAdvected  = [ (.FALSE., im=1, nm) ]
+      ttr(jq + 1:jq + nm) = t1
+      ttr(jq + 1:jq + nm)%name = [ (TRIM(t1%name) // '-' // TRIM(suff(im)), im = 1, nm) ]
+      ttr(jq + 1:jq + nm)%parent = [ (TRIM(t1%parent) // '-' // TRIM(suff(im)), im = 1, nm) ]
+      ttr(jq + 1:jq + nm)%longName = [ (TRIM(t1%longName) // '-' // TRIM(suff(im)), im = 1, nm) ]
+      ttr(jq + 1:jq + nm)%iadv = [ (-iad, im = 1, nm) ]
+      ttr(jq + 1:jq + nm)%isAdvected = [ (.FALSE., im = 1, nm) ]
       jq = jq + nm
-   END DO
-   DEALLOCATE(hadv, vadv)
-   CALL MOVE_ALLOC(FROM=ttr, TO=tracers)
-
-   !--- SET FIELDS %iqParent, %nqChildren, %iGeneration, %iqDescen, %nqDescen
-   IF(indexUpdate(tracers)) CALL abort_gcm(modname, 'problem with tracers indices update', 1)
-
-   !=== TEST ADVECTION SCHEME
-   DO iq=1,nqtot ; t1 => tracers(iq); iad = t1%iadv
-
-      !--- ONLY TESTED VALUES FOR TRACERS FOR NOW:               iadv = 14, 10 (and 0 for non-transported tracers)
-      IF(ALL([10,14,0] /= iad)) &
-         CALL abort_gcm(modname, 'Not tested for iadv='//TRIM(int2str(iad))//' ; 10 or 14 only are allowed !', 1)
-
-      !--- ONLY TESTED VALUES FOR PARENTS HAVING CHILDS FOR NOW: iadv = 14, 10 (PARENTS: TRACERS OF GENERATION 1)
-      IF(ALL([10,14] /= iad) .AND. t1%iGeneration == 1 .AND. ANY(tracers(:)%iGeneration > 1)) &
-         CALL abort_gcm(modname, 'iadv='//TRIM(int2str(iad))//' not implemented for parents ; 10 or 14 only are allowed !', 1)
-
-      !--- ONLY TESTED VALUES FOR CHILDS FOR NOW:                iadv = 10     (CHILDS:  TRACERS OF GENERATION GREATER THAN 1)
-      IF(fmsg('WARNING ! iadv='//TRIM(int2str(iad))//' not implemented for childs. Setting iadv=10 for "'//TRIM(t1%name)//'"',&
-         modname, iad /= 10 .AND. t1%iGeneration > 1)) t1%iadv = 10
-
-      !--- ONLY VALID SCHEME NUMBER FOR WATER VAPOUR:            iadv = 14
-      ll = t1%name /= addPhase('H2O','g')
-      IF(fmsg('WARNING ! iadv=14 is valid for water vapour only. Setting iadv=10 for "'//TRIM(t1%name)//'".', &
-         modname, iad == 14 .AND. ll))                 t1%iadv = 10
-   END DO
-
-   !=== READ PHYSICAL PARAMETERS FOR ISOTOPES ; DONE HERE BECAUSE dynetat0 AND iniacademic NEED "tnat" AND "alpha_ideal"
-   niso = 0; nzone = 0; nphas = nqo; ntiso = 0; isoCheck = .FALSE.
-   IF(processIsotopes()) CALL abort_gcm(modname, 'problem when processing isotopes parameters', 1)
-
-   !--- Convection / boundary layer activation for all tracers
-   ALLOCATE(conv_flg(nbtr)); conv_flg(1:nbtr) = 1
-   ALLOCATE( pbl_flg(nbtr));  pbl_flg(1:nbtr) = 1
-
-   !--- Note: nqtottr can differ from nbtr when nmom/=0
-   nqtottr = nqtot - COUNT(delPhase(tracers%gen0Name) == 'H2O' .AND. tracers%component == 'lmdz')
-   IF(COUNT(tracers%iso_iName == 0) - COUNT(delPhase(tracers%name) == 'H2O' .AND. tracers%component == 'lmdz') /= nqtottr) &
-      CALL abort_gcm(modname, 'problem with the computation of nqtottr', 1)
-
-   !=== DISPLAY THE RESULTS
-   CALL msg('nqo    = '//TRIM(int2str(nqo)),    modname)
-   CALL msg('nbtr   = '//TRIM(int2str(nbtr)),   modname)
-   CALL msg('nqtrue = '//TRIM(int2str(nqtrue)), modname)
-   CALL msg('nqtot  = '//TRIM(int2str(nqtot)),  modname)
-   CALL msg('niso   = '//TRIM(int2str(niso)),   modname)
-   CALL msg('ntiso  = '//TRIM(int2str(ntiso)),  modname)
-   IF (CPPKEY_INCA) THEN
-      CALL msg('nqCO2  = '//TRIM(int2str(nqCO2)),  modname)
-      CALL msg('nqINCA = '//TRIM(int2str(nqINCA)), modname)
-   END IF
-   t => tracers
-   CALL msg('Information stored in infotrac :', modname)
-
-   IF(dispTable('isssssssssiiiiiiiii', ['iq  ', 'name', 'lNam', 'g0Nm', 'prnt', 'type', 'phas', 'comp',    &
-                'isPh', 'isAd', 'iadv', 'iGen', 'iqPr', 'nqDe', 'nqCh', 'iGrp', 'iNam', 'iZon', 'iPha'],   &
-      cat(t%name, t%longName, t%gen0Name, t%parent, t%type, t%phase, t%component, bool2str(t%isInPhysics), &
-                                                                                  bool2str(t%isAdvected)), &
-      cat([(iq, iq=1, nqtot)], t%iadv, t%iGeneration, t%iqParent, t%nqDescen, t%nqChildren, t%iso_iGroup,  &
-                  t%iso_iName, t%iso_iZone, t%iso_iPhase), nColMax=maxTableWidth, nHead=2, sub=modname))   &
-      CALL abort_gcm(modname, "problem with the tracers table content", 1)
-   IF(niso > 0) THEN
-      CALL msg('Where, for isotopes family "'//TRIM(isotope%parent)//'":', modname)
-      CALL msg('  isoKeys%name = '//strStack(isoKeys%name), modname)
-      CALL msg('  isoName = '//strStack(isoName),      modname)
-      CALL msg('  isoZone = '//strStack(isoZone),      modname)
-      CALL msg('  isoPhas = '//TRIM(isoPhas),          modname)
-   ELSE
+    END DO
+    DEALLOCATE(hadv, vadv)
+    CALL MOVE_ALLOC(FROM = ttr, TO = tracers)
+
+    !--- SET FIELDS %iqParent, %nqChildren, %iGeneration, %iqDescen, %nqDescen
+    IF(indexUpdate(tracers)) CALL abort_gcm(modname, 'problem with tracers indices update', 1)
+
+    !=== TEST ADVECTION SCHEME
+    DO iq = 1, nqtot ; t1 => tracers(iq); iad = t1%iadv
+
+    !--- ONLY TESTED VALUES FOR TRACERS FOR NOW:               iadv = 14, 10 (and 0 for non-transported tracers)
+    IF(ALL([10, 14, 0] /= iad)) &
+            CALL abort_gcm(modname, 'Not tested for iadv=' // TRIM(int2str(iad)) // ' ; 10 or 14 only are allowed !', 1)
+
+    !--- ONLY TESTED VALUES FOR PARENTS HAVING CHILDS FOR NOW: iadv = 14, 10 (PARENTS: TRACERS OF GENERATION 1)
+    IF(ALL([10, 14] /= iad) .AND. t1%iGeneration == 1 .AND. ANY(tracers(:)%iGeneration > 1)) &
+            CALL abort_gcm(modname, 'iadv=' // TRIM(int2str(iad)) // ' not implemented for parents ; 10 or 14 only are allowed !', 1)
+
+    !--- ONLY TESTED VALUES FOR CHILDS FOR NOW:                iadv = 10     (CHILDS:  TRACERS OF GENERATION GREATER THAN 1)
+    IF(fmsg('WARNING ! iadv=' // TRIM(int2str(iad)) // ' not implemented for childs. Setting iadv=10 for "' // TRIM(t1%name) // '"', &
+            modname, iad /= 10 .AND. t1%iGeneration > 1)) t1%iadv = 10
+
+    !--- ONLY VALID SCHEME NUMBER FOR WATER VAPOUR:            iadv = 14
+    ll = t1%name /= addPhase('H2O', 'g')
+    IF(fmsg('WARNING ! iadv=14 is valid for water vapour only. Setting iadv=10 for "' // TRIM(t1%name) // '".', &
+            modname, iad == 14 .AND. ll))                 t1%iadv = 10
+    END DO
+
+    !=== READ PHYSICAL PARAMETERS FOR ISOTOPES ; DONE HERE BECAUSE dynetat0 AND iniacademic NEED "tnat" AND "alpha_ideal"
+    niso = 0; nzone = 0; nphas = nqo; ntiso = 0; isoCheck = .FALSE.
+    IF(processIsotopes()) CALL abort_gcm(modname, 'problem when processing isotopes parameters', 1)
+
+    !--- Convection / boundary layer activation for all tracers
+    ALLOCATE(conv_flg(nbtr)); conv_flg(1:nbtr) = 1
+    ALLOCATE(pbl_flg(nbtr));  pbl_flg(1:nbtr) = 1
+
+    !--- Note: nqtottr can differ from nbtr when nmom/=0
+    nqtottr = nqtot - COUNT(delPhase(tracers%gen0Name) == 'H2O' .AND. tracers%component == 'lmdz')
+    IF(COUNT(tracers%iso_iName == 0) - COUNT(delPhase(tracers%name) == 'H2O' .AND. tracers%component == 'lmdz') /= nqtottr) &
+            CALL abort_gcm(modname, 'problem with the computation of nqtottr', 1)
+
+    !=== DISPLAY THE RESULTS
+    CALL msg('nqo    = ' // TRIM(int2str(nqo)), modname)
+    CALL msg('nbtr   = ' // TRIM(int2str(nbtr)), modname)
+    CALL msg('nqtrue = ' // TRIM(int2str(nqtrue)), modname)
+    CALL msg('nqtot  = ' // TRIM(int2str(nqtot)), modname)
+    CALL msg('niso   = ' // TRIM(int2str(niso)), modname)
+    CALL msg('ntiso  = ' // TRIM(int2str(ntiso)), modname)
+    IF (CPPKEY_INCA) THEN
+      CALL msg('nqCO2  = ' // TRIM(int2str(nqCO2)), modname)
+      CALL msg('nqINCA = ' // TRIM(int2str(nqINCA)), modname)
+    END IF
+    t => tracers
+    CALL msg('Information stored in infotrac :', modname)
+
+    IF(dispTable('isssssssssiiiiiiiii', ['iq  ', 'name', 'lNam', 'g0Nm', 'prnt', 'type', 'phas', 'comp', &
+            'isPh', 'isAd', 'iadv', 'iGen', 'iqPr', 'nqDe', 'nqCh', 'iGrp', 'iNam', 'iZon', 'iPha'], &
+            cat(t%name, t%longName, t%gen0Name, t%parent, t%type, t%phase, t%component, bool2str(t%isInPhysics), &
+                    bool2str(t%isAdvected)), &
+            cat([(iq, iq = 1, nqtot)], t%iadv, t%iGeneration, t%iqParent, t%nqDescen, t%nqChildren, t%iso_iGroup, &
+                    t%iso_iName, t%iso_iZone, t%iso_iPhase), nColMax = maxTableWidth, nHead = 2, sub = modname))   &
+            CALL abort_gcm(modname, "problem with the tracers table content", 1)
+    IF(niso > 0) THEN
+      CALL msg('Where, for isotopes family "' // TRIM(isotope%parent) // '":', modname)
+      CALL msg('  isoKeys%name = ' // strStack(isoKeys%name), modname)
+      CALL msg('  isoName = ' // strStack(isoName), modname)
+      CALL msg('  isoZone = ' // strStack(isoZone), modname)
+      CALL msg('  isoPhas = ' // TRIM(isoPhas), modname)
+    ELSE
       CALL msg('No isotopes identified.', modname)
-   END IF
-   CALL msg('end', modname)
-
-END SUBROUTINE init_infotrac
+    END IF
+    CALL msg('end', modname)
+
+  END SUBROUTINE init_infotrac
 
 END MODULE infotrac
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/limx.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/limx.F	(revision 5095)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/limx.F	(revision 5098)
@@ -43,5 +43,5 @@
       save first
 
-      REAL      SSUM,CVMGP,CVMGT
+      REAL      SSUM
       integer ismax,ismin
       EXTERNAL  SSUM, ismin,ismax
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/limz.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/limz.F	(revision 5095)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/limz.F	(revision 5098)
@@ -43,5 +43,5 @@
       save first
 
-      REAL      SSUM,CVMGP,CVMGT
+      REAL      SSUM
       integer ismax,ismin
       EXTERNAL  SSUM, ismin,ismax
